Bug 1411946 - Nullptr dereference & missing soundcard with intel_iommu since 4.8.15 [NEEDINFO]
Summary: Nullptr dereference & missing soundcard with intel_iommu since 4.8.15
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 19:49 UTC by John Brooks
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:15:01 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description John Brooks 2017-01-10 19:49:40 UTC
Description of problem:

After updating to 4.8.15, my sound device disappeared, boot and shutdown started taking much longer, and I'm seeing errors including a BUG in dmesg. These go away after removing the `intel_iommu=on,igfx_off` option or downgrading to 4.8.8. I want to keep iommu, of course.

Version-Release number of selected component (if applicable):

bad: 4.8.15-300.fc25.x86_64
known good: 4.8.8-300.fc25.x86_46

How reproducible:

100% for this machine, have not tested elsewhere

Steps to Reproduce:
1. Reproduced using a Dell XPS 13 9343
2. Boot with intel_iommu=on,igfx_off

Additional info:

[   19.264546] DMAR: DRHD: handling fault status reg 3
[   19.264553] DMAR: [DMA Read] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   19.264955] DMAR: DRHD: handling fault status reg 2
[   19.264960] DMAR: [DMA Write] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   19.264999] DMAR: DRHD: handling fault status reg 2
[   19.265003] DMAR: [DMA Write] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   19.265186] DMAR: DRHD: handling fault status reg 3
[   19.265190] DMAR: [DMA Read] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   19.265192] DMAR: DRHD: handling fault status reg 3
[   19.265195] DMAR: [DMA Read] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   19.265430] DMAR: DRHD: handling fault status reg 2
[   19.265433] DMAR: [DMA Write] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   19.265474] DMAR: DRHD: handling fault status reg 2
[   19.265477] DMAR: [DMA Write] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   19.291999] acpi INT33D5:00: intel-hid: created platform device
[   19.292151] input: Intel HID events as /devices/platform/INT33D5:00/input/input8
[   19.296214] proc_thermal 0000:00:04.0: enabling device (0000 -> 0002)
[   19.304003] ACPI Warning: \_SB.IETM._ART: Return Package type mismatch at index 0 - found Integer, expected Reference (20160422/nspredef-297)
[   19.304174] ACPI: Invalid package element [0]: got number, expecting [R]
[   19.304175] _ART package 0 is invalid, ignored
[   19.372256] dw_dmac INTL9C60:00: DesignWare DMA Controller, 8 channels
[   19.429312] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[   19.433768] intel_pch_thermal 0000:00:1f.6: enabling device (0000 -> 0002)
[   19.434718] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[   19.486783] snd_hda_intel 0000:00:03.0: enabling device (0000 -> 0002)
[   19.486972] snd_hda_intel 0000:00:03.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[   19.512417] input: HDA Intel HDMI HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:03.0/sound/card0/input9
[   19.512507] input: HDA Intel HDMI HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:03.0/sound/card0/input10
[   19.512590] input: HDA Intel HDMI HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:03.0/sound/card0/input11
[   19.518309] RAPL PMU: API unit is 2^-32 Joules, 4 fixed counters, 655360 ms ovfl timer
[   19.518311] RAPL PMU: hw unit of domain pp0-core 2^-14 Joules
[   19.518312] RAPL PMU: hw unit of domain package 2^-14 Joules
[   19.518313] RAPL PMU: hw unit of domain dram 2^-14 Joules
[   19.518313] RAPL PMU: hw unit of domain pp1-gpu 2^-14 Joules
[   19.548136] dcdbas dcdbas: Dell Systems Management Base Driver (version 5.6.0-3.2)
[   19.641418] iTCO_vendor_support: vendor-support=0
[   19.644087] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[   19.644152] iTCO_wdt: Found a Wildcat Point_LP TCO device (Version=2, TCOBASE=0x1860)
[   19.644460] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[   19.670046] input: DLL0665:01 06CB:76AD Touchpad as /devices/pci0000:00/INT3433:00/i2c-7/i2c-DLL0665:01/0018:06CB:76AD.0001/input/input12
[   19.672117] hid-multitouch 0018:06CB:76AD.0001: input,hidraw0: I2C HID v1.00 Mouse [DLL0665:01 06CB:76AD] on i2c-DLL0665:01
[   19.673828] sst-acpi INT3438:00: DesignWare DMA Controller, 8 channels
[   19.673898] BUG: unable to handle kernel NULL pointer dereference at 00000000000007c3
[   19.673960] IP: [<ffffffffa751a227>] device_to_iommu+0x127/0x1b0
[   19.674004] PGD 0 
[   19.674022] Oops: 0000 [#1] SMP
[   19.674045] Modules linked in: acpi_cpufreq(-) x86_pkg_temp_thermal snd_soc_sst_haswell_pcm(+) intel_powerclamp coretemp hid_multitouch(+) snd_soc_sst_firmware iTCO_wdt kvm_intel iTCO_vendor_support snd_soc_sst_ipc snd_soc_sst_dsp kvm dell_laptop irqbypass dell_smbios rfkill intel_cstate dcdbas intel_uncore snd_hda_codec_hdmi intel_rapl_perf snd_soc_ssm4567 snd_soc_rt286(+) snd_hda_intel snd_soc_rl6347a snd_soc_core snd_hda_codec joydev rtsx_pci_ms snd_hda_core elan_i2c memstick snd_compress snd_pcm_dmaengine snd_hwdep ac97_bus snd_seq snd_seq_device snd_pcm i2c_i801 i2c_smbus intel_pch_thermal snd_timer mei_me lpc_ich snd mei shpchp soundcore wmi(+) snd_soc_sst_acpi dw_dmac soc_button_array int3403_thermal dw_dmac_core intel_vbtn snd_soc_sst_match i2c_designware_platform i2c_designware_core int3400_thermal
[   19.674613]  processor_thermal_device spi_pxa2xx_platform acpi_als acpi_thermal_rel int3402_thermal intel_hid kfifo_buf intel_soc_dts_iosf int340x_thermal_zone sparse_keymap int3406_thermal industrialio tpm_crb(+) acpi_pad tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm serio_raw rtsx_pci sdhci_acpi sdhci mmc_core video i2c_hid fjes
[   19.674939] CPU: 3 PID: 891 Comm: systemd-udevd Not tainted 4.8.15-300.fc25.x86_64 #1
[   19.674988] Hardware name: Dell Inc. XPS 13 9343, BIOS A07 11/11/2015
[   19.675028] task: ffffa008500f9e80 task.stack: ffffa00853830000
[   19.675062] RIP: 0010:[<ffffffffa751a227>]  [<ffffffffa751a227>] device_to_iommu+0x127/0x1b0
[   19.675116] RSP: 0018:ffffa008538338e0  EFLAGS: 00010246
[   19.675147] RAX: ffffa0085598dc00 RBX: 0000000000000010 RCX: 0000000000000001
[   19.675187] RDX: ffffa00853833925 RSI: ffffa00853833924 RDI: ffffa0085532ba68
[   19.675227] RBP: ffffa00853833900 R08: ffffa0085532ba68 R09: ffffa00855977780
[   19.675268] R10: 0000000000000000 R11: 0000000000000002 R12: ffffa008568179b0
[   19.675309] R13: 0000000000000002 R14: 0000000000000000 R15: ffffa008553ad010
[   19.675350] FS:  00007fcecbe89640(0000) GS:ffffa0085f580000(0000) knlGS:0000000000000000
[   19.675392] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   19.675427] CR2: 00000000000007c3 CR3: 0000000212fc6000 CR4: 00000000003406e0
[   19.675464] Stack:
[   19.675478]  00000000000a0000 ffffa008553ad010 ffffea0008478000 0000000211e00000
[   19.675530]  ffffa00853833960 ffffffffa751f4a2 ffffa0085f7eb000 ffffa008542ce4e8
[   19.675580]  ffffa00853833970 ffffffffc0623c32 00000000a044f3c3 00000000000a0000
[   19.675631] Call Trace:
[   19.675654]  [<ffffffffa751f4a2>] get_domain_for_dev.constprop.60+0x72/0x480
[   19.675702]  [<ffffffffc0623c32>] ? dw_dma_probe+0x5b2/0x5d0 [dw_dmac_core]
[   19.675747]  [<ffffffffa751f8ca>] __get_valid_domain_for_dev+0x1a/0xd0
[   19.675791]  [<ffffffffa751fce1>] __intel_map_single+0x141/0x190
[   19.675832]  [<ffffffffa751fe18>] intel_alloc_coherent+0xa8/0x120
[   19.675876]  [<ffffffffc09d8db1>] sst_hsw_dsp_init+0x1e1/0x4e0 [snd_soc_sst_haswell_pcm]
[   19.675926]  [<ffffffffa753253c>] ? add_dr+0x3c/0x60
[   19.675959]  [<ffffffffa753259f>] ? devres_add+0x3f/0x50
[   19.675999]  [<ffffffffc09dabe0>] hsw_pcm_dev_probe+0x50/0xe0 [snd_soc_sst_haswell_pcm]
[   19.676047]  [<ffffffffa7530adb>] platform_drv_probe+0x3b/0xa0
[   19.676081]  [<ffffffffa752a9bc>] ? devices_kset_move_last+0x4c/0x90
[   19.676122]  [<ffffffffa752e903>] driver_probe_device+0x223/0x430
[   19.676163]  [<ffffffffa752ebef>] __driver_attach+0xdf/0xf0
[   19.676200]  [<ffffffffa752eb10>] ? driver_probe_device+0x430/0x430
[   19.676240]  [<ffffffffa752c28c>] bus_for_each_dev+0x6c/0xc0
[   19.676277]  [<ffffffffa752e00e>] driver_attach+0x1e/0x20
[   19.676313]  [<ffffffffa752da20>] bus_add_driver+0x170/0x270
[   19.676354]  [<ffffffffc09f08b1>] ? trace_event_define_fields_hsw_device_config_req+0xb3/0xb3 [snd_soc_sst_haswell_pcm]
[   19.676420]  [<ffffffffa752f510>] driver_register+0x60/0xe0
[   19.676456]  [<ffffffffc09f08b1>] ? trace_event_define_fields_hsw_device_config_req+0xb3/0xb3 [snd_soc_sst_haswell_pcm]
[   19.676523]  [<ffffffffa7530a56>] __platform_driver_register+0x36/0x40
[   19.676568]  [<ffffffffc09f08c8>] hsw_pcm_driver_init+0x17/0x74f [snd_soc_sst_haswell_pcm]
[   19.676623]  [<ffffffffa7002190>] do_one_initcall+0x50/0x180
[   19.676663]  [<ffffffffa77ff5e8>] ? preempt_schedule_common+0x18/0x30
[   19.676704]  [<ffffffffa77ff61c>] ? _cond_resched+0x1c/0x30
[   19.676741]  [<ffffffffa72263e9>] ? kmem_cache_alloc_trace+0x159/0x1b0
[   19.676784]  [<ffffffffa71b6966>] ? do_init_module+0x27/0x1ef
[   19.676824]  [<ffffffffa71b699e>] do_init_module+0x5f/0x1ef
[   19.676859]  [<ffffffffa712cde0>] load_module+0x2170/0x29d0
[   19.676895]  [<ffffffffa7129b00>] ? __symbol_put+0x60/0x60
[   19.676933]  [<ffffffffa712d7b3>] SYSC_init_module+0x173/0x190
[   19.676973]  [<ffffffffa712d8ee>] SyS_init_module+0xe/0x10
[   19.677010]  [<ffffffffa7003c57>] do_syscall_64+0x67/0x160
[   19.677047]  [<ffffffffa7803c21>] entry_SYSCALL64_slow_path+0x25/0x25
[   19.677089] Code: ff ff ff 4d 85 c0 74 ee 49 8b 5a 10 0f b6 9b e0 00 00 00 41 38 98 e0 00 00 00 77 da 44 0f b6 e3 4d 39 a0 88 00 00 00 72 cd eb 8c <41> f6 82 c3 07 00 00 04 0f 85 73 ff ff ff 41 0f b6 4c 24 08 88 
[   19.677352] RIP  [<ffffffffa751a227>] device_to_iommu+0x127/0x1b0
[   19.677397]  RSP <ffffa008538338e0>
[   19.677421] CR2: 00000000000007c3
[   19.693698] ---[ end trace 08dbd73fccf4215f ]---
[   19.702409] intel_rapl: Found RAPL domain package
[   19.702414] intel_rapl: Found RAPL domain core
[   19.702417] intel_rapl: Found RAPL domain uncore
[   19.702420] intel_rapl: Found RAPL domain dram
[   19.702424] intel_rapl: RAPL package 0 domain package locked by BIOS
[   19.702441] intel_rapl: RAPL package 0 domain dram locked by BIOS
[   21.268535] tpm tpm0: Operation Timed out
[   21.268545] tpm tpm0: TPM self test failed
[   21.268597] DMAR: DRHD: handling fault status reg 3
[   21.268606] tpm_crb: probe of MSFT0101:00 failed with error -62
[   21.268616] DMAR: [DMA Read] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   21.268828] DMAR: DRHD: handling fault status reg 2
[   21.268838] DMAR: [DMA Write] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear
[   21.268868] DMAR: DRHD: handling fault status reg 2
[   21.268876] DMAR: [DMA Write] Request device [00:16.7] fault addr dbaff000 [fault reason 02] Present bit in context entry is clear

Comment 1 Laura Abbott 2017-01-17 01:15:32 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 2 John Brooks 2017-01-17 03:44:19 UTC
Reproduces in the same way with 4.9.3-200.fc25.x86_64:

[  240.817615] BUG: unable to handle kernel NULL pointer dereference at 00000000000007cb
[  240.817671] IP: [<ffffffffbe536017>] device_to_iommu+0x127/0x1b0
[  240.817709] PGD 0

[  240.817735] Oops: 0000 [#1] SMP
[  240.817754] Modules linked in: snd_soc_sst_haswell_pcm(+) hid_multitouch snd_soc_sst_firmware intel_rapl iTCO_wdt snd_soc_sst_ipc iTCO_vendor_support snd_soc_sst_dsp x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_rt298 kvm_intel dell_laptop dell_smbios kvm rfkill dcdbas snd_soc_rt286 snd_soc_rl6347a snd_soc_ssm4567 irqbypass elan_i2c snd_soc_core intel_cstate snd_hda_codec_hdmi intel_uncore snd_compress snd_pcm_dmaengine intel_rapl_perf ac97_bus snd_hda_intel snd_hda_codec snd_hda_core joydev snd_hwdep snd_seq rtsx_pci_ms snd_seq_device memstick snd_pcm mei_me snd_timer i2c_i801 lpc_ich snd i2c_smbus intel_pch_thermal mei shpchp soundcore wmi(+) soc_button_array snd_soc_sst_acpi acpi_als int3400_thermal snd_soc_sst_match dw_dmac processor_thermal_device kfifo_buf int3403_thermal intel_vbtn
[  240.818227]  industrialio i2c_designware_platform acpi_thermal_rel i2c_designware_core intel_soc_dts_iosf spi_pxa2xx_platform int3402_thermal int340x_thermal_zone int3406_thermal intel_hid tpm_crb(+) acpi_pad sparse_keymap tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 rtsx_pci_sdmmc crct10dif_pclmul i2c_algo_bit crc32_pclmul drm_kms_helper crc32c_intel ghash_clmulni_intel drm serio_raw rtsx_pci sdhci_acpi sdhci video mmc_core i2c_hid fjes
[  240.818501] CPU: 2 PID: 3485 Comm: systemd-udevd Not tainted 4.9.3-200.fc25.x86_64 #1
[  240.818542] Hardware name: Dell Inc. XPS 13 9343, BIOS A07 11/11/2015
[  240.818579] task: ffff9fde1104bd00 task.stack: ffffbc30c1364000
[  240.818608] RIP: 0010:[<ffffffffbe536017>]  [<ffffffffbe536017>] device_to_iommu+0x127/0x1b0
[  240.818646] RSP: 0018:ffffbc30c1367908  EFLAGS: 00010246
[  240.818663] RAX: ffff9fde159c0c00 RBX: 0000000000000010 RCX: 0000000000000001
[  240.818684] RDX: ffffbc30c136793d RSI: ffffbc30c136793c RDI: ffff9fde15279268
[  240.818705] RBP: ffffbc30c1367928 R08: ffff9fde15279268 R09: ffff9fde15979980
[  240.818727] R10: 0000000000000000 R11: 0000000000000002 R12: ffff9fde168179f0
[  240.818749] R13: 0000000000000002 R14: 0000000000000000 R15: ffff9fde12428290
[  240.818771] FS:  00007f37cc860640(0000) GS:ffff9fde1f500000(0000) knlGS:0000000000000000
[  240.818795] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  240.818813] CR2: 00000000000007cb CR3: 0000000214aa1000 CR4: 00000000003406e0
[  240.818835] Stack:
[  240.818843]  ffff9fde152ba810 ffff9fde152ba810 0000000000000008 ffff9fde152ba810
[  240.818871]  ffffbc30c1367968 ffffffffbe539f11 0000000000000000 ffff9fde1104bd00
[  240.818899]  00000000a1f4564d 00000000000a0000 ffff9fde152ba810 0000000000000008
[  240.818926] Call Trace:
[  240.818938]  [<ffffffffbe539f11>] find_or_alloc_domain.constprop.61+0x31/0x3a0
[  240.818961]  [<ffffffffbe53b715>] __get_valid_domain_for_dev+0x45/0x130
[  240.818982]  [<ffffffffbe53bb61>] __intel_map_single+0x141/0x190
[  240.819002]  [<ffffffffbe53bca2>] intel_alloc_coherent+0xb2/0x140
[  240.819024]  [<ffffffffc07f7a71>] ? sst_dsp_new+0x181/0x1b0 [snd_soc_sst_firmware]
[  240.819052]  [<ffffffffc0827d90>] sst_hsw_dsp_init+0x1e0/0x4e0 [snd_soc_sst_haswell_pcm]
[  240.819077]  [<ffffffffbe54e38c>] ? add_dr+0x3c/0x60
[  240.819094]  [<ffffffffbe54e3ef>] ? devres_add+0x3f/0x50
[  240.819114]  [<ffffffffc0829bc0>] hsw_pcm_dev_probe+0x50/0xe0 [snd_soc_sst_haswell_pcm]
[  240.819139]  [<ffffffffbe54c92b>] platform_drv_probe+0x3b/0xa0
[  240.819158]  [<ffffffffbe5468fc>] ? devices_kset_move_last+0x4c/0x90
[  240.819179]  [<ffffffffbe54a753>] driver_probe_device+0x223/0x430
[  240.819198]  [<ffffffffbe54aa3f>] __driver_attach+0xdf/0xf0
[  240.819217]  [<ffffffffbe54a960>] ? driver_probe_device+0x430/0x430
[  240.819237]  [<ffffffffbe54813c>] bus_for_each_dev+0x6c/0xc0
[  240.819256]  [<ffffffffbe549e9e>] driver_attach+0x1e/0x20
[  240.819273]  [<ffffffffbe5498d0>] bus_add_driver+0x170/0x270
[  240.819294]  [<ffffffffc08418b1>] ? trace_event_define_fields_hsw_device_config_req+0xb3/0xb3 [snd_soc_sst_haswell_pcm]
[  240.819325]  [<ffffffffbe54b360>] driver_register+0x60/0xe0
[  240.819345]  [<ffffffffc08418b1>] ? trace_event_define_fields_hsw_device_config_req+0xb3/0xb3 [snd_soc_sst_haswell_pcm]
[  240.819377]  [<ffffffffbe54c8a6>] __platform_driver_register+0x36/0x40
[  240.819399]  [<ffffffffc08418c8>] hsw_pcm_driver_init+0x17/0x74f [snd_soc_sst_haswell_pcm]
[  240.819424]  [<ffffffffbe002190>] do_one_initcall+0x50/0x180
[  240.819444]  [<ffffffffbe1e68f3>] ? kvfree+0x33/0x40
[  240.819462]  [<ffffffffbe22fe13>] ? kfree+0x153/0x170
[  240.819478]  [<ffffffffbe22f2b9>] ? kmem_cache_alloc_trace+0x159/0x1b0
[  240.819500]  [<ffffffffbe1c017a>] ? do_init_module+0x27/0x1ef
[  240.819519]  [<ffffffffbe1c01b2>] do_init_module+0x5f/0x1ef
[  240.819538]  [<ffffffffbe12fe01>] load_module+0x25b1/0x2980
[  240.819556]  [<ffffffffbe12c6e0>] ? __symbol_put+0x60/0x60
[  240.819574]  [<ffffffffbe130343>] SYSC_init_module+0x173/0x190
[  240.819593]  [<ffffffffbe13047e>] SyS_init_module+0xe/0x10
[  240.819611]  [<ffffffffbe003c17>] do_syscall_64+0x67/0x180
[  240.819630]  [<ffffffffbe81bcab>] entry_SYSCALL64_slow_path+0x25/0x25
[  240.819650] Code: ff ff ff 4d 85 c0 74 ee 49 8b 5a 10 0f b6 9b e0 00 00 00 41 38 98 e0 00 00 00 77 da 44 0f b6 e3 4d 39 a0 88 00 00 00 72 cd eb 8c <41> f6 82 cb 07 00 00 04 0f 85 73 ff ff ff 41 0f b6 4c 24 08 88
[  240.819790] RIP  [<ffffffffbe536017>] device_to_iommu+0x127/0x1b0
[  240.819811]  RSP <ffffbc30c1367908>
[  240.819823] CR2: 00000000000007cb
[  240.827105] ---[ end trace d45d9afb13beccfe ]---

Comment 3 Tim Hughes 2017-01-25 17:51:34 UTC
Looks like I have the same issue.

    product: XPS 13 9343 (0665)
    vendor: Dell Inc.
q



00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)
00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
00:04.0 Signal processing controller: Intel Corporation Broadwell-U Processor Thermal Subsystem (rev 09)
00:14.0 USB controller: Intel Corporation Wildcat Point-LP USB xHCI Controller (rev 03)
00:16.0 Communication controller: Intel Corporation Wildcat Point-LP MEI Controller #1 (rev 03)
00:1c.0 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #1 (rev e3)
00:1c.3 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #4 (rev e3)
00:1f.0 ISA bridge: Intel Corporation Wildcat Point-LP LPC Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] (rev 03)
00:1f.3 SMBus: Intel Corporation Wildcat Point-LP SMBus Controller (rev 03)
00:1f.6 Signal processing controller: Intel Corporation Wildcat Point-LP Thermal Management Controller (rev 03)
01:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5249 PCI Express Card Reader (rev 01)
02:00.0 Network controller: Broadcom Limited BCM4352 802.11ac Wireless Network Adapter (rev 03)







Jan 24 16:56:42 argon kernel: BUG: unable to handle kernel NULL pointer dereference at 00000000000007cb
Jan 24 16:56:42 argon kernel: IP: [<ffffffff92537347>] device_to_iommu+0x127/0x1b0
Jan 24 16:56:42 argon kernel: PGD 0 
Jan 24 16:56:42 argon kernel: 
Jan 24 16:56:42 argon kernel: Oops: 0000 [#1] SMP
Jan 24 16:56:42 argon kernel: Modules linked in: snd_soc_sst_haswell_pcm(+) iTCO_wdt snd_soc_sst_firmware iTCO_vendor_support snd_soc_sst_ipc snd_soc_sst_dsp uvcvideo dell_laptop videobuf2_vmalloc dell_smbios videobuf2_memops videobuf2_v4l2 dcdbas videobuf2_core intel_rapl videodev x86_pkg_temp_thermal media intel_powerclamp coretemp kvm_intel kvm btusb btrtl btbcm btintel bluetooth snd_soc_rt298 irqbypass intel_cstate intel_uncore intel_rapl_perf snd_hda_codec_hdmi snd_s
Jan 24 16:56:42 argon kernel:  snd_soc_sst_acpi dw_dmac i2c_designware_platform snd_soc_sst_match i2c_designware_core int3402_thermal int3406_thermal spi_pxa2xx_platform processor_thermal_device acpi_als acpi_pad(+) int3400_thermal acpi_thermal_rel int340x_thermal_zone intel_hid kfifo_buf tpm_crb(+) intel_soc_dts_iosf industrialio sparse_keymap tpm_tis tpm_tis_core tpm wl(POE) nfsd cfg80211 auth_rpcgss nfs_acl rfkill lockd vboxpci(OE) vboxnetadp(OE) grace vboxnetflt(OE) s
Jan 24 16:56:42 argon kernel: CPU: 1 PID: 998 Comm: systemd-udevd Tainted: P           OE   4.9.5-200.fc25.x86_64 #1
Jan 24 16:56:42 argon kernel: Hardware name: Dell Inc. XPS 13 9343/0310JH, BIOS A07 11/11/2015
Jan 24 16:56:42 argon kernel: task: ffff9b8fd1705b80 task.stack: ffffb5b7c142c000
Jan 24 16:56:42 argon kernel: RIP: 0010:[<ffffffff92537347>]  [<ffffffff92537347>] device_to_iommu+0x127/0x1b0
Jan 24 16:56:42 argon kernel: RSP: 0018:ffffb5b7c142f908  EFLAGS: 00010246
Jan 24 16:56:42 argon kernel: RAX: ffff9b8fd5a3b600 RBX: 0000000000000010 RCX: 0000000000000001
Jan 24 16:56:42 argon kernel: RDX: ffffb5b7c142f93d RSI: ffffb5b7c142f93c RDI: ffff9b8fd5278a68
Jan 24 16:56:42 argon kernel: RBP: ffffb5b7c142f928 R08: ffff9b8fd5278a68 R09: ffff9b8fd5977100
Jan 24 16:56:42 argon kernel: R10: 0000000000000000 R11: 0000000000000002 R12: ffff9b8fd68179f0
Jan 24 16:56:42 argon kernel: R13: 0000000000000002 R14: 0000000000000000 R15: ffff9b8fbf048290
Jan 24 16:56:42 argon kernel: FS:  00007f924436c640(0000) GS:ffff9b8fdf480000(0000) knlGS:0000000000000000
Jan 24 16:56:42 argon kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jan 24 16:56:42 argon kernel: CR2: 00000000000007cb CR3: 00000002104c0000 CR4: 00000000003406e0
Jan 24 16:56:42 argon kernel: Stack:
Jan 24 16:56:42 argon kernel:  ffff9b8fd52e2810 ffff9b8fd52e2810 0000000000000008 ffff9b8fd52e2810
Jan 24 16:56:42 argon kernel:  ffffb5b7c142f968 ffffffff9253b241 0000000000000000 ffff9b8fd1705b80
Jan 24 16:56:42 argon kernel:  0000000000278100 00000000000a0000 ffff9b8fd52e2810 0000000000000008
Jan 24 16:56:42 argon kernel: Call Trace:
Jan 24 16:56:42 argon kernel:  [<ffffffff9253b241>] find_or_alloc_domain.constprop.61+0x31/0x3a0
Jan 24 16:56:42 argon kernel:  [<ffffffff9253ca45>] __get_valid_domain_for_dev+0x45/0x130
Jan 24 16:56:42 argon kernel:  [<ffffffff9253ce91>] __intel_map_single+0x141/0x190
Jan 24 16:56:42 argon kernel:  [<ffffffff9253cfd2>] intel_alloc_coherent+0xb2/0x140
Jan 24 16:56:42 argon kernel:  [<ffffffffc112ba71>] ? sst_dsp_new+0x181/0x1b0 [snd_soc_sst_firmware]
Jan 24 16:56:42 argon kernel:  [<ffffffffc113bd90>] sst_hsw_dsp_init+0x1e0/0x4e0 [snd_soc_sst_haswell_pcm]
Jan 24 16:56:42 argon kernel:  [<ffffffff9254f6bc>] ? add_dr+0x3c/0x60
Jan 24 16:56:42 argon kernel:  [<ffffffff9254f71f>] ? devres_add+0x3f/0x50
Jan 24 16:56:42 argon kernel:  [<ffffffffc113dbc0>] hsw_pcm_dev_probe+0x50/0xe0 [snd_soc_sst_haswell_pcm]
Jan 24 16:56:42 argon kernel:  [<ffffffff9254dc5b>] platform_drv_probe+0x3b/0xa0
Jan 24 16:56:42 argon kernel:  [<ffffffff92547c2c>] ? devices_kset_move_last+0x4c/0x90
Jan 24 16:56:42 argon kernel:  [<ffffffff9254ba83>] driver_probe_device+0x223/0x430
Jan 24 16:56:42 argon kernel:  [<ffffffff9254bd6f>] __driver_attach+0xdf/0xf0
Jan 24 16:56:42 argon kernel:  [<ffffffff9254bc90>] ? driver_probe_device+0x430/0x430
Jan 24 16:56:42 argon kernel:  [<ffffffff9254946c>] bus_for_each_dev+0x6c/0xc0
Jan 24 16:56:42 argon kernel:  [<ffffffff9254b1ce>] driver_attach+0x1e/0x20
Jan 24 16:56:42 argon kernel:  [<ffffffff9254ac00>] bus_add_driver+0x170/0x270
Jan 24 16:56:42 argon kernel:  [<ffffffffc114e8b1>] ? trace_event_define_fields_hsw_device_config_req+0xb3/0xb3 [snd_soc_sst_haswell_pcm]
Jan 24 16:56:42 argon kernel:  [<ffffffff9254c690>] driver_register+0x60/0xe0
Jan 24 16:56:42 argon kernel:  [<ffffffffc114e8b1>] ? trace_event_define_fields_hsw_device_config_req+0xb3/0xb3 [snd_soc_sst_haswell_pcm]
Jan 24 16:56:42 argon kernel:  [<ffffffff9254dbd6>] __platform_driver_register+0x36/0x40
Jan 24 16:56:42 argon kernel:  [<ffffffffc114e8c8>] hsw_pcm_driver_init+0x17/0x74f [snd_soc_sst_haswell_pcm]
Jan 24 16:56:42 argon kernel:  [<ffffffff92002190>] do_one_initcall+0x50/0x180
Jan 24 16:56:42 argon kernel:  [<ffffffff9220f131>] ? __vunmap+0x81/0xd0
Jan 24 16:56:42 argon kernel:  [<ffffffff9222f519>] ? kmem_cache_alloc_trace+0x159/0x1b0
Jan 24 16:56:42 argon kernel:  [<ffffffff921c01da>] ? do_init_module+0x27/0x1ef
Jan 24 16:56:42 argon kernel:  [<ffffffff921c0212>] do_init_module+0x5f/0x1ef
Jan 24 16:56:42 argon kernel:  [<ffffffff9212fe01>] load_module+0x25b1/0x2980
Jan 24 16:56:42 argon kernel:  [<ffffffff9212c6e0>] ? __symbol_put+0x60/0x60
Jan 24 16:56:42 argon kernel:  [<ffffffff92130343>] SYSC_init_module+0x173/0x190
Jan 24 16:56:42 argon kernel:  [<ffffffff9213047e>] SyS_init_module+0xe/0x10
Jan 24 16:56:42 argon kernel:  [<ffffffff92003c17>] do_syscall_64+0x67/0x180
Jan 24 16:56:42 argon kernel:  [<ffffffff9281cd2b>] entry_SYSCALL64_slow_path+0x25/0x25
Jan 24 16:56:42 argon kernel: Code: ff ff ff 4d 85 c0 74 ee 49 8b 5a 10 0f b6 9b e0 00 00 00 41 38 98 e0 00 00 00 77 da 44 0f b6 e3 4d 39 a0 88 00 00 00 72 cd eb 8c <41> f6 82 cb 07 00 00 04 0f 85 73 ff ff ff 41 0f b6 4c 24 08 88 
Jan 24 16:56:42 argon kernel: RIP  [<ffffffff92537347>] device_to_iommu+0x127/0x1b0
Jan 24 16:56:42 argon kernel:  RSP <ffffb5b7c142f908>
Jan 24 16:56:42 argon kernel: CR2: 00000000000007cb
Jan 24 16:56:42 argon kernel: ---[ end trace 1fbce7ec964d51f3 ]---
Jan 24 16:56:42 argon systemd-udevd[984]: worker [998] terminated by signal 9 (Killed)
Jan 24 16:56:42 argon systemd-udevd[984]: worker [998] failed while handling '/devices/pci0000:00/INT3438:00/haswell-pcm-audio'

Comment 4 Alex Medvedev 2017-02-08 15:29:54 UTC
I've got the same bug on my lenovo laptop with gentoo. As result the laptop is unbootable with recent kernels. Looks like 4.8.12 patch breaks iommu. There are 2 iommu changes in 4.8.12 which could be relevant, see https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.8.12. Probably we should contact upstream.

Comment 5 John Brooks 2017-03-29 02:18:53 UTC
Still reproduces with 4.10.5-200.fc25.x86_64.

Guidance on how to bring this to upstream would be appreciated. I don't have the time to reproduce it on a vanilla kernel first.

Comment 6 Alex Medvedev 2017-03-29 09:45:02 UTC
The things was fixed for me in 4.10.6; 4.10.5 also worked; 4.9 version just wasn't able to load the i915 driver at all. igfx_off option is not necessary  anymore.

Comment 7 Alex Medvedev 2017-03-29 09:45:47 UTC
I have Gentoo just in case

Comment 8 Justin M. Forbes 2017-04-11 14:42:18 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 9 Justin M. Forbes 2017-04-28 17:15:01 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.